| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
uiODBodyDisplayTreeItem Class Reference
uiODMain

`#include <uiodbodydisplaytreeitem.h>`

Inheritance diagram for uiODBodyDisplayTreeItem:
[legend]

## Public Member Functions
| uiODBodyDisplayTreeItem (const EM::ObjectID &)
| uiODBodyDisplayTreeItem (const VisID &, bool dummy)
void | displayAtSections (bool yn)
EM::ObjectID | emObjectID () const
bool | isOK () const
void | setOnlyAtSectionsDisplay (bool) override
Public Member Functions inherited from uiODDisplayTreeItem
virtual bool | actModeWhenSelected () const
uiODDataTreeItem * | addAttribItem ()
virtual bool | displayedOnlyAtSections () const
VisID | displayID () const
void | handleAddAttrib ()
bool | isDisplayID (int) const
virtual bool | isOnlyAtSections () const
void | prepareForShutdown () override
void | show (bool)
bool | showSubMenu () override
void | updateCheckStatus () override
void | updateColumnText (int) override
Public Member Functions inherited from uiODTreeItem
bool | anyButtonClick (uiTreeViewItem *) override
SceneID | sceneID () const
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
virtual bool | addChild (uiTreeItem *child, bool below)
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
virtual bool | isChecked () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeAllChildren ()
virtual void | removeChild (uiTreeItem *)
virtual bool | select ()
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
| ~uiODBodyDisplayTreeItem ()
Protected Member Functions inherited from uiODDisplayTreeItem
| uiODDisplayTreeItem ()
| ~uiODDisplayTreeItem ()
void | addToToolBarCB (CallBacker *)
bool | askContinueAndSaveIfNeeded (bool withcancel) override
virtual void | checkCB (CallBacker *)
virtual void | colorChgCB (CallBacker *)
virtual uiString | createDisplayName () const
void | createMenuCB (CallBacker *)
virtual void | deleteObject ()
bool | doubleClick (uiTreeViewItem *) override
uiString | getLockMenuText () const
bool | init () override
bool | isExpandable () const override
bool | isSelectable () const override
virtual void | keyPressCB (CallBacker *)
int | selectionKey () const override
void | selectRGBA (const Pos::GeomID &)
bool | shouldSelect (int selkey) const override
int | uiTreeViewItemType () const override
void | updateLockPixmap (bool islocked)
Protected Member Functions inherited from uiODTreeItem
| uiODTreeItem (const uiString &)
| ~uiODTreeItem ()
void | addStandardItems (uiMenu &)
uiODApplMgr * | applMgr ()
bool | getMoreObjectsToDoHint () const
void | handleStandardItems (int mnuid)
virtual const char * | iconName () const
bool | init () override
void | setMoreObjectsToDoHint (bool yn)
ui3DViewer * | viewer ()
Protected Member Functions inherited from uiTreeItem
virtual bool | addChld (uiTreeItem *, bool below, bool downwards)
virtual uiParent * | getUiParent () const
virtual void | removeItem (uiTreeViewItem *)
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual bool | selectWithKey (int selkey)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual void | updateSelection (int selectionKey, bool dw=false)
virtual bool | useParentType () const

## Private Member Functions
| uiODBodyDisplayTreeItem ()
bool | askContinueAndSaveIfNeeded (bool withcancel) override
void | askSaveCB (CallBacker *)
uiODDataTreeItem * | createAttribItem (const Attrib::SelSpec *) const override
void | createMenu (MenuHandler *, bool istb) override
bool | createUiVisObj ()
RefMan< visSurvey::MarchingCubesDisplay > | getMCDisplay ()
ConstRefMan< visSurvey::MarchingCubesDisplay > | getMCDisplay () const
RefMan< visSurvey::PolygonBodyDisplay > | getPBDisplay ()
ConstRefMan< visSurvey::PolygonBodyDisplay > | getPBDisplay () const
RefMan< visSurvey::RandomPosBodyDisplay > | getRPBDisplay ()
ConstRefMan< visSurvey::RandomPosBodyDisplay > | getRPBDisplay () const
void | handleMenuCB (CallBacker *) override
bool | init () override
void | keyPressedCB (CallBacker *)
const char * | parentType () const override
void | saveCB (CallBacker *)

## Static Private Member Functions
static uiString | sCalcVolume ()
static uiString | sPickedPolygons ()

## Private Attributes
MenuItem | displaybodymnuitem_
MenuItem | displayintersectionmnuitem_
MenuItem | displaypolygonmnuitem_
EM::ObjectID | emid_
WeakPtr< visSurvey::MarchingCubesDisplay > | mcd_
WeakPtr< visSurvey::PolygonBodyDisplay > | plg_
WeakPtr< visSurvey::RandomPosBodyDisplay > | rpb_
MenuItem | saveasmnuitem_
MenuItem | savemnuitem_
MenuItem | singlecolormnuitem_
MenuItem | volcalmnuitem_

## Additional Inherited Members
Static Public Member Functions inherited from uiODDisplayTreeItem
static bool | create (uiTreeItem *, uiODApplMgr *, const VisID &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Protected Attributes inherited from uiODDisplayTreeItem
MenuItem | addattribmnuitem_
MenuItem | addmnuitem_
MenuItem | addvolprocmnuitem_
VisID | displayid_
MenuItem | displaymnuitem_
MenuItem | duplicatemnuitem_
MenuItem | hidemnuitem_
MenuItem | histogrammnuitem_
MenuItem | lockmnuitem_
MenuItem | removemnuitem_
uiVisPartServer * | visserv_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODBodyDisplayTreeItem() [1/3]

uiODBodyDisplayTreeItem::uiODBodyDisplayTreeItem | ( | const VisID & | ,
|  | bool | dummy )

## ◆ uiODBodyDisplayTreeItem() [2/3]

uiODBodyDisplayTreeItem::uiODBodyDisplayTreeItem | ( | const EM::ObjectID & |  | ) |

## ◆ ~uiODBodyDisplayTreeItem()

uiODBodyDisplayTreeItem::~uiODBodyDisplayTreeItem | ( |  | ) |
| protected

## ◆ uiODBodyDisplayTreeItem() [3/3]

uiODBodyDisplayTreeItem::uiODBodyDisplayTreeItem | ( |  | ) |
| private

## Member Function Documentation

## ◆ askContinueAndSaveIfNeeded()

bool uiODBodyDisplayTreeItem::askContinueAndSaveIfNeeded | ( | bool | withcancel | ) |
| override private virtual

Reimplemented from uiTreeItem.

## ◆ askSaveCB()

void uiODBodyDisplayTreeItem::askSaveCB | ( | CallBacker * |  | ) |
| private

## ◆ createAttribItem()

uiODDataTreeItem * uiODBodyDisplayTreeItem::createAttribItem | ( | const Attrib::SelSpec * |  | ) | const
| override private virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ createMenu()

void uiODBodyDisplayTreeItem::createMenu | ( | MenuHandler * | ,
|  | bool | istb )
| override private virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ createUiVisObj()

bool uiODBodyDisplayTreeItem::createUiVisObj | ( |  | ) |
| private

## ◆ displayAtSections()

void uiODBodyDisplayTreeItem::displayAtSections | ( | bool | yn | ) |
| inline

## ◆ emObjectID()

EM::ObjectID uiODBodyDisplayTreeItem::emObjectID | ( |  | ) | const
| inline

## ◆ getMCDisplay() [1/2]

RefMan< visSurvey::MarchingCubesDisplay > uiODBodyDisplayTreeItem::getMCDisplay | ( |  | ) |
| private

## ◆ getMCDisplay() [2/2]

ConstRefMan< visSurvey::MarchingCubesDisplay > uiODBodyDisplayTreeItem::getMCDisplay | ( |  | ) | const
| private

## ◆ getPBDisplay() [1/2]

RefMan< visSurvey::PolygonBodyDisplay > uiODBodyDisplayTreeItem::getPBDisplay | ( |  | ) |
| private

## ◆ getPBDisplay() [2/2]

ConstRefMan< visSurvey::PolygonBodyDisplay > uiODBodyDisplayTreeItem::getPBDisplay | ( |  | ) | const
| private

## ◆ getRPBDisplay() [1/2]

RefMan< visSurvey::RandomPosBodyDisplay > uiODBodyDisplayTreeItem::getRPBDisplay | ( |  | ) |
| private

## ◆ getRPBDisplay() [2/2]

ConstRefMan< visSurvey::RandomPosBodyDisplay > uiODBodyDisplayTreeItem::getRPBDisplay | ( |  | ) | const
| private

## ◆ handleMenuCB()

void uiODBodyDisplayTreeItem::handleMenuCB | ( | CallBacker * |  | ) |
| override private virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ init()

bool uiODBodyDisplayTreeItem::init | ( |  | ) |
| override private virtual

Reimplemented from uiTreeItem.

## ◆ isOK()

bool uiODBodyDisplayTreeItem::isOK | ( |  | ) | const

## ◆ keyPressedCB()

void uiODBodyDisplayTreeItem::keyPressedCB | ( | CallBacker * |  | ) |
| private

## ◆ parentType()

const char * uiODBodyDisplayTreeItem::parentType | ( |  | ) | const
| inline override private virtual

Returns
  typeid(parentclass).name()

Implements uiTreeItem.

## ◆ saveCB()

void uiODBodyDisplayTreeItem::saveCB | ( | CallBacker * |  | ) |
| private

## ◆ sCalcVolume()

static uiString uiODBodyDisplayTreeItem::sCalcVolume | ( |  | ) |
| inline static private

## ◆ setOnlyAtSectionsDisplay()

void uiODBodyDisplayTreeItem::setOnlyAtSectionsDisplay | ( | bool |  | ) |
| override virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ sPickedPolygons()

static uiString uiODBodyDisplayTreeItem::sPickedPolygons | ( |  | ) |
| inline static private

## Member Data Documentation

## ◆ displaybodymnuitem_

MenuItem uiODBodyDisplayTreeItem::displaybodymnuitem_
| private

## ◆ displayintersectionmnuitem_

MenuItem uiODBodyDisplayTreeItem::displayintersectionmnuitem_
| private

## ◆ displaypolygonmnuitem_

MenuItem uiODBodyDisplayTreeItem::displaypolygonmnuitem_
| private

## ◆ emid_

EM::ObjectID uiODBodyDisplayTreeItem::emid_
| private

## ◆ mcd_

WeakPtr<visSurvey::MarchingCubesDisplay> uiODBodyDisplayTreeItem::mcd_
| private

## ◆ plg_

WeakPtr<visSurvey::PolygonBodyDisplay> uiODBodyDisplayTreeItem::plg_
| private

## ◆ rpb_

WeakPtr<visSurvey::RandomPosBodyDisplay> uiODBodyDisplayTreeItem::rpb_
| private

## ◆ saveasmnuitem_

MenuItem uiODBodyDisplayTreeItem::saveasmnuitem_
| private

## ◆ savemnuitem_

MenuItem uiODBodyDisplayTreeItem::savemnuitem_
| private

## ◆ singlecolormnuitem_

MenuItem uiODBodyDisplayTreeItem::singlecolormnuitem_
| private

## ◆ volcalmnuitem_

MenuItem uiODBodyDisplayTreeItem::volcalmnuitem_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025